Bug 102025 - (LP) Printing on HP LaserJet4L hangs in down_interruptible
(LP) Printing on HP LaserJet4L hangs in down_interruptible
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-08 19:49 EDT by Kasper Dupont
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2003-08-08 19:49:10 EDT
Description of problem:
When attempting to print a document with multiple pages on a
HP LaserJet4L printer, the printing stops somewhere on the
second or third page of the document. The wchan field from
ps shows one process is stuck in a down-interruptible call
and never continues from there. An attempt to strace the
process gets it out of the stuck state and allows it to
continue printing about one page before it gets stuck in a
write to /dev/lp0. Each time I start or stop the strace
command it starts again and gets a litle further, but each
time after printing a litle more than one page it gets stuck
again.

Version-Release number of selected component (if applicable):
kernel-2.4.20-19.7x

How reproducible:
Happens almost every time.

Steps to Reproduce:
1. Configure a LaserJet4L printer on /dev/lp0
2. Start the lpd service
3. Attempt to print a 10 page document.
    
Actual results:
The first one or two pages are printed. Then in the midle of
a page, the printer receives no more data from the computer.

Expected results:
All 10 pages gets printed.

Additional info:
If the computer is shut down, the printing will start all
over again at each boot, each time printing the same number
of pages and get stuck at the same location. This continues
until the job is removed with lprm.

If a job completes, either because it is short, or because
it get a litle help from the strace command, the data led on
the printer will stay lit, and the printer will wait forever
for more data.
Comment 1 Kasper Dupont 2003-08-09 06:40:45 EDT
There is no x in the version number. The exact version number is kernel-2.4.20-19.7

The output from "ps -O wchan -U lp" when printing is stuck looks like this:

  PID WCHAN  S TTY          TIME COMMAND
 1073 wait4  S ?        00:00:00 /bin/bash /usr/share/printconf/mf_wrapper
-Ajacob@localhost+70 -CA -D2003-08-09-11:54:32.127 -Ff -Hlocalhost.localdomain
-J(STDIN) -N(STDIN) -Plp -Qlp -aacct -b1070165 -d/var/spool/lpd/lp
-edfA070localhost.localdomain -f(STDIN) -hlocalhost.localdomain -j070
-kcfA070localhost.localdomain -l66 -njacob -sstatus -t2003-08-09-11:54:32.000
-w80 -x0 -y0 acct
 1077 wait4  S ?        00:00:00 /bin/bash
/usr/share/printconf/util/mf_postscript_wrapper --mfomatic -d ljet4-59776.foo
 1078 pipe_w S ?        00:00:00 /usr/bin/perl
/usr/share/printconf/foomatic/mfomatic -d ljet4-59776.foo
 1079 pipe_w S ?        00:00:06 gs -q -dBATCH -dSAFER -dNOPAUSE -sDEVICE=ljet4
-sOutputFile=- -
 1080 down_i S ?        00:00:06 /usr/bin/perl
/usr/share/printconf/foomatic/mfomatic -d ljet4-59776.foo

I'm using printconf-0.2.15-2 and ghostscript-6.51-16.1.7x.1
Comment 2 Bugzilla owner 2004-09-30 11:41:25 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.